require 'tiendapp_validator/version'
require 'tiendapp_validator/required_files'
require 'tiendapp_validator/auxiliar_methods'
require 'tiendapp_validator/liquid_validators'
require 'tiendapp_validator/schema_validators'
require 'tiendapp_validator/i18n'
require 'find'

# TiendApp Validator
module TiendappValidator
  VALIDATION_METHODS = [method(:validate_liquid_files),
                        method(:validate_partial_liquid_files),
                        method(:validate_folders_liquid_files),
                        method(:validate_include_liquid_files),
                        method(:validate_liquid_files_syntax),
                        method(:validate_customation_schema_file),
                        method(:validate_extensions)].freeze

  def self.validate(path)
    root_path(path)
    VALIDATION_METHODS.each do |method|
      res = method.call
      next if res[:valid]
      return res
    end
    response 'OK', I18n.t('ok.all_validation'), true
  end

  def self.print_response(res)
    puts res[:status] + ' - ' + res[:message]
  end
end
