require 'yaml'
require 'i18n'

# TiendApp Validator I18n configurations
module TiendappValidator
  DEFAULT_LANGUAGE = :es

  yaml_dir_en = File.join(File.expand_path(__dir__), 'locales', 'en.yml')
  yaml_dir_es = File.join(File.expand_path(__dir__), 'locales', 'es.yml')
  I18n.backend.store_translations(:en, YAML.load(File.read(yaml_dir_en)))
  I18n.backend.store_translations(:es, YAML.load(File.read(yaml_dir_es)))
  I18n.locale = DEFAULT_LANGUAGE

  def self.define_language(id)
    if id == 'es'
      I18n.locale = :es
    elsif id == 'en'
      I18n.locale = :en
    end
  end
end
